Skip to main content
GET
/
interactions
cURL
curl --request GET \
  --url https://www.greenflash.ai/api/v1/interactions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "externalId": "<string>",
    "participantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "externalParticipantId": "<string>",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationExternalId": "<string>",
    "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "model": "<string>",
    "rating": 123,
    "ratingMin": 123,
    "ratingMax": 123,
    "feedback": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "properties": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
default:50

Maximum number of results to return.

Required range: 1 <= x <= 100
offset
number

Offset for pagination.

Required range: x >= 0
page
number

Page number

Required range: x >= 1
productId
string<uuid>

Filter interactions by product ID.

versionId
string<uuid>

Filter interactions by version ID.

Response

Interactions retrieved successfully

id
string<uuid>
required

The interaction ID.

externalId
string | null
required

Your external identifier for the interaction.

participantId
string<uuid>
required

The user who participated in this interaction.

externalParticipantId
string | null
required

Your external identifier for the participant.

organizationId
string<uuid> | null
required

The organization ID.

organizationExternalId
string | null
required

Your external identifier for the organization.

productId
string<uuid>
required

The product ID.

versionId
string<uuid>
required

The version ID.

model
string | null
required

The AI model used.

rating
number | null
required

User rating for this interaction.

ratingMin
number | null
required

Minimum rating value.

ratingMax
number | null
required

Maximum rating value.

feedback
string | null
required

User feedback text.

createdAt
string<date-time>
required

When the interaction was created.

updatedAt
string<date-time>
required

When the interaction was last updated.

properties
object

Custom interaction properties.